Page MenuHomePhabricator

Display conflicting paragraphs side by side, same paragraphs over the whole page layout
Closed, ResolvedPublic

Description

Task
In the prototype, display text paragraphs the following way:

  • no changes in the text: As one box that goes over the whole width of the page, greyed out
  • conflicting changes: As boxes next to each other, on a per-paragraph basis, with the color code yellow/blue as it exists on the diff page

Since this is a prototype mainly for the technical feasibility, the contents input may (for now) just be a static conflict. If all is feasible, we would make a dynamic input again where users can create their own conflict (but if this is more work, let's stay with a static page for now)

Mocks


Event Timeline

Lea_WMDE renamed this task from Feasibility of the general layout suggested in T180972 to Display conflicting paragraphs side by side, same paragraphs over the whole page layout.Dec 4 2017, 4:48 PM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE added a project: WMDE-QWERTY-Team.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Dec 4 2017, 5:03 PM
Lea_WMDE updated the task description. (Show Details)Dec 4 2017, 5:38 PM
WMDE-Fisch claimed this task.

Change 396314 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] [WIP] First layout for the experimental edit conflict view

https://gerrit.wikimedia.org/r/396314

WMDE-Fisch removed WMDE-Fisch as the assignee of this task.Apr 11 2018, 4:27 PM
WMDE-Fisch added a subscriber: WMDE-Fisch.

Change 396314 abandoned by WMDE-Fisch:
[WIP] First layout for the experimental edit conflict view

Reason:
Squashed in
I267de58c2a3f965b8eebfb545e6b417601527191

https://gerrit.wikimedia.org/r/396314

WMDE-Fisch closed this task as Resolved.Apr 29 2019, 10:52 AM
WMDE-Fisch claimed this task.